@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins',sans-serif;
}

body{
    background-color: #f1efef;
}  

/* CSS for the loader */
.bgc{
    background-color: #fff;
}

.loading {
    overflow: hidden;
}

.loading .content {
    display: none;
}

.loader {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 3s linear infinite;
    z-index: 9999; /* Ensure it's on top */
    
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/*Floating NAvbar*/
.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    background-color:  #00ffe5;
    padding: 10px 0;
    box-shadow: 0;
    z-index: 1000;
}

/* slide menu*/
.slide{
    height: 100%;
    width: 250px;
    position: absolute;
    background-color: #fff;
    transition: 0.5s ease;
    transform: translateX(-250px);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1100; /* Ensure the menu is above the slider */
}

.slide h1{
    padding-left: 150px;
    padding-top: 20px;
}

/* From Uiverse.io by HetPatel69 */ 
.inp {
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: #fff;
    justify-content: center;
    border-radius: 5px;
}
  
.value{
    background-color: #fff;
    border: none;
    padding: 10px;
    text-decoration: none;
    display: flex;
    position: relative;
    gap: 5px;
    cursor: pointer;
    border-radius: 4px;
}
  
.value:not(:active):hover,
.value:focus {
    background-color: black;
    color: #ccc;
}
  
.value:focus,
.value:active {
    background-color: #1A1F24;
    outline: none;
}
  
.value::before {
    content: "";
    position: absolute;
    top: 5px;
    left: 0px;
    width: 5px;
    height: 80%;
    background-color: #2F81F7;
    border-radius: 5px;
    opacity: 0;
}
  
.value:focus::before,
.value:active::before {
    opacity: 1;
}
  
.inp:hover > :not(.value:hover) {
    transition: 300ms;
    filter: blur(1px);
    transform: scale(0.95,0.95);
}

.navbar input{
    display: none;
    visibility: hidden;
}

.toggle{
    position: absolute;
    height: 35px;
    width: 35px;
    top: 20px;
    left: 20px;
    z-index: 10000;
    cursor: pointer;
    border-radius: 2px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    background-color: #fff;
}

/*.toggle p{
    overflow: hidden;
    font-size: x-small;
    padding-top: 22px;
    padding-left: 2px;
    font-weight: 500;
}*/

.toggle .common{
    position: absolute;
    height: 3px;
    width: 20px;
    background-color: #8000ff;
    border-radius: 50px;
    transition: 0.3s ease;
}

.toggle .top_line{
    top: 25%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.toggle .middle_line{
    top: 45%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.toggle .bottom_line{
    top: 65%;
    left: 50%;
    transform: translate(-50%,-50%);
}

input:checked ~ .toggle .top_line{
    left: 2px;
    top: 14px;
    width: 25px;
    transform: rotate(45deg);
}

.navbar input:checked ~ .toggle .middle_line{
    opacity: 0;
    transform: translateX(20px);
}

.navbar input:checked ~ .toggle .bottom_line{
    left: 2px;
    top: 14px;
    width: 25px;
    transform: rotate(-45deg);
}

.navbar input:checked ~ .slide{
    transform: translateX(0);
    box-shadow: 0 0 15px rgba(0,0,0,0.5);
}

/*SOCIAL media*/
.symbol{
    padding-top: 0px;
    letter-spacing: 15px;
    padding-left: 15px;
    margin-bottom: 25px;
    flex: 1;

}

#fb{
    border: 1px solid ;
    border-radius: 50%;
    width:35px;
    height: 35px;
    color: #0a53a0;
    background-color: white;
}

#fb:hover{
    color: white;
    background-color: #0a53a0;
}

#insta{
    border: 1px solid ;
    border-radius: 50%;
    width:35px;
    height: 35px;
    color: #a522a5;
    background-color: white;
}

#insta:hover{
    color: white;
    background-color: #a522a5;
}

#yt{
    border: 1px solid ;
    border-radius: 50%;
    width:35px;
    height: 35px;
    color: red;
    background-color: white;
}

#yt:hover{
    color: white;
    background-color: red;
}

#tweet{
    border: 1px solid ;
    border-radius: 50%;
    width:35px;
    height: 35px;
    color: #007bff;
    background-color: white;
}

#tweet:hover{
    color: white;
    background-color: #007bff;
}

i{
    margin-top: 25px;
    padding: 7px;
    color: #1a4c82;
}

/*Nav Logo*/
.logo_img{
    height: 60px;
    margin-left: 170px;
    position: absolute;
}

.logo_sym{
    height: 70px;
    margin-left: 90px;
    position: absolute;
}

nav{
    width: 100%;
    background-color:  #00ffe5;
}

.ct a{
    width: 130px;
}

nav a:hover{
    transform: scale(1.1)
    
}

nav ul{
    list-style: none;
    margin: 0 0 0 0px;
    padding: 0;
    text-align: right;
}

nav li{
    display: inline-block;
    position: relative;
    white-space: 50px;
    font-weight: bold;
    border-radius: 10px;
}

nav a:hover{
    color: #00bfff;
}

nav a{
    text-decoration: none;
    padding: 20px 15px;
    text-align: center;
    width: 100px;
    display: block  ;
    color: aliceblue;
    width: 110px;
}

.dropdown{
    width: 100%;
    position: absolute;
    z-index: 999;
    display: none;
    top: 100%;/* Position dropdown below the navbar */
    left: 0;
    background-color: #000000;
}

.dropdown li{
    display: block;
    width: auto;
    font-weight: lighter;
}

nav li:hover .dropdown{
    display: block;/* Show dropdown on hover */
}

/*Header*/
header {
    margin-top: 85px;
    background-image: url(images/headder.png);
    width: 100%;
    height: 250px; 
    background-color: #d8d5d5;
    background-size: 100%;
}

header h1{
    text-align: center;
    font-weight: 700;
    font-size: xxx-large;
    padding-top: 100px;
}

/*Main body*/
.container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 50px;
    padding-left: 120px;
    padding-right: 150;
}
.text-content {
    max-width: 50%;
}
.text-content h1 {
    font-size: 48px;
    margin: 0;
    color: #333333;
}
.text-content h1 span {
    color: #ff7f3f;
}
.text-content p {
    font-size: 16px;
    color: #666666;
    line-height: 1.5;
    margin: 20px 0;
}
.button {
    display: inline-block;
    padding: 15px 30px;
    background-color: #0056b3;
    color: #ffffff;
    border-radius: 30px;
    text-decoration: none;
    font-size: 16px;
    font-weight: bold;
}
.button i {
    margin-right: 10px;
    margin-top: 0;
    background-color: #fff;
    border-radius: 50%;
}
.image-content {
    position: relative;
}
.image-content .main-image{
    width: 600px;
    height: 650px;
    object-fit: cover;
}
.main-image{
    width: 600px;
    height: 550px;
}

/*Our mission*/
.image {
    flex: 1;
    position: relative;
}
.image img {
    width: 100%;
    height: auto;
}
.content {
    flex: 1;
    padding: 20px;
}
.content h2 {
    color: #ff6f00;
    font-size: 16px;
    margin: 0;
}
.content h1 {
    font-size: 36px;
    margin: 10px 0;
}
.content p {
    color: #666;
    line-height: 1.6;
}
.content ul {
    list-style: none;
    padding: 0;
}
.content ul li {
    display: flex;
    align-items: center;
    margin: 10px 0;
    color: #666;
}
.content ul li i {
    color: #ff6f00;
    margin-right: 10px;
    margin-top: 0;
}



.floating-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #0ae92f;
    color: #fff;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5em;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    z-index: 1;
}

.floating-button i{
    margin-top: 0;
    color: #fff;
}

/*FOOTER*/
footer {
    background: #000;
}
  
.footer-row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 3.5rem;
    padding: 60px;
}
  
.footer-row .footer-col h4 {
    color: #fff;
    font-size: 1.2rem;
    font-weight: 400;
}
  
.footer-col .links {
    margin-top: 20px;
}
  
.footer-col .links li {
    list-style: none;
    margin-bottom: 10px;
}
  
.footer-col .links li a {
    text-decoration: none;
    color: #bfbfbf;
}
  
.footer-col .links li a:hover {
    color: #fff;
}
  
.footer-col p {
    margin: 20px 0;
    color: #bfbfbf;
    max-width: 300px;
}
  
.footer-col form {
    display: flex;
    gap: 5px;
}
  
.footer-col input {
    height: 40px;
    border-radius: 6px;
    background: none;
    width: 100%;
    outline: none;
    border: 1px solid #7489C6 ;
    caret-color: #fff;
    color: #fff;
    padding-left: 10px;
}
  
.footer-col input::placeholder {
    color: #ccc;
}
  
.footer-col form button {
    background: #fff;
    outline: none;
    border: none;
    padding: 10px 15px;
    border-radius: 6px;
    cursor: pointer;
    font-weight: 500;
    transition: 0.2s ease;
}
  
.footer-col form button:hover {
    background: #cecccc;
}
  
.footer-col .icons {
    display: flex;
    margin-top: 30px;
    gap: 30px;
    cursor: pointer;
}
  
.footer-col .icons i {
    color: #afb6c7;
}
  
.footer-col .icons i:hover  {
   color: #fff;
}
  
@media (max-width: 768px) {
    .footer {
      position: relative;
      bottom: 0;
      left: 0;
      transform: none;
      width: 100%;
      border-radius: 0;
    }
  
    .footer .footer-row {
      padding: 20px;
      gap: 1rem;
    }
  
    .footer-col form {
      display: block;
    }
  
    .footer-col form :where(input, button) {
      width: 100%;
    }
  
    .footer-col form button {
      margin: 10px 0 0 0;
    }
  }
  
.ql{
    flex: 1;
    display: block;
}
  
.ql a{
    text-decoration: none;
}
  
.cont{
    text-align: center;
    color: #0a53a0;
}
  
.cont p{
    margin-bottom: 0px;
}
.merg{
    display: inline;
}
i{
    margin-top: 25px;
    padding: 7px;
    color: #1a4c82;
}
  